Skip to main content
POST
/
api
/
v1
/
teams
/
{team_id}
/
hubs
/
{hub_id}
/
pages
/
{page_id}
/
publish
Admin Publish Page
curl --request POST \
  --url https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/pages/{page_id}/publish \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "attributes": {
      "gate_count": 123,
      "page_id": "<string>",
      "published_revision": 123,
      "section_count": 123
    },
    "id": "<string>",
    "type": "page_publishes"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

If-Match
string | null

Path Parameters

team_id
string
required
hub_id
string
required
page_id
string
required

Response

Successful Response

Top-level JSON:API response envelope for POST .../publish.

data
PublishResource · object
required

JSON:API resource object for a page publish outcome.